package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class PhysicalFibreChannelPort {
    private Metadata metadata;
    private String locationCode;
    private PhysicalVolumes physicalVolumes;
    private String portName;
    private String uniqueDeviceID;
    private String wwpn;
    private String wwnn;
    private String availablePorts;
    private String totalPorts;

    public PhysicalFibreChannelPort() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public PhysicalVolumes getPhysicalVolumes() {
        return physicalVolumes;
    }

    public void setPhysicalVolumes(PhysicalVolumes physicalVolumes) {
        this.physicalVolumes = physicalVolumes;
    }

    public String getPortName() {
        return portName;
    }

    public void setPortName(String portName) {
        this.portName = portName;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getWwnn() {
        return wwnn;
    }

    public void setWwnn(String wwnn) {
        this.wwnn = wwnn;
    }

    public String getAvailablePorts() {
        return availablePorts;
    }

    public void setAvailablePorts(String availablePorts) {
        this.availablePorts = availablePorts;
    }

    public String getTotalPorts() {
        return totalPorts;
    }

    public void setTotalPorts(String totalPorts) {
        this.totalPorts = totalPorts;
    }

    @Override
    public String toString() {
        return "PhysicalFibreChannelPort [metadata=" + metadata + ", locationCode=" + locationCode + ", portName="
            + portName + ", uniqueDeviceID=" + ", physicalVolumes=" + physicalVolumes + uniqueDeviceID + ", wwpn="
            + wwpn + ", availablePorts=" + availablePorts + ", totalPorts=" + totalPorts + ", wwnn=" + wwnn + "]";
    }
}
